function.cpp File Reference
`#include <gecode/kernel.hh>`

Go to the source code of this file.

## Classes

class | Gecode::Kernel::FunctionBranch
| Brancher for calling a function More...
class | Gecode::Kernel::FunctionBranch::Description
| Minimal brancher description storing no information. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Kernel
| Kernel functionality

## Functions

void | Gecode::branch (Home home, std::function< void(Space &home)> f)
| Call the function f (with the current space as argument) for branching.